$(document).ready(function(){
      load(1);
    });

function load(page){
      var q= $("#q").val();
      $("#loader").fadeIn('slow');
      $.ajax({
        url:'php_sucursal/tabla_sucursales.php?action=ajax&page='+page+'&q='+q,
         beforeSend: function(objeto){
         $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
        },
        success:function(data){
          $(".outer_div").html(data).fadeIn('slow');
          $('#loader').html('');
          
        }
      })
    }

$("#registro_sucursal" ).submit(function( event ) {
  $('#btn_sucursal').attr("disabled", true);

 var parametros = $(this).serialize();
   $.ajax({
      type: "POST",
      url: "php_sucursal/registrar_sucursal.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#resultados_sucursal').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#resultados_sucursal").html(datos);
      $('#btn_sucursal').attr("disabled", false);
      load(1);
      }
  });
     document.getElementById("registro_sucursal").reset();

  event.preventDefault();
})


function obtener_datos(id){
      var suc_nombre = $("#suc_nombre"+id).val();
      var suc_direccion = $("#suc_direccion"+id).val();
      var suc_direccion_envio = $("#suc_direccion_envio"+id).val();
      var suc_telefono = $("#suc_telefono"+id).val();
      var suc_celular = $("#suc_celular"+id).val();
      var suc_correo = $("#suc_correo"+id).val();
      $("#id").val(id);
      $("#nombre").val(suc_nombre);
      $("#direccion").val(suc_direccion);
      $("#direccion_envio").val(suc_direccion_envio);
      $("#telefono").val(suc_telefono);
      $("#celular").val(suc_celular);
      $("#correo").val(suc_correo);
     
    }

$("#modif_sucursal" ).submit(function( event ) {
  $('#mod_sucursal').attr("disabled", true);

 var parametros = $(this).serialize();
   $.ajax({
      type: "POST",
      url: "php_sucursal/editar_sucursal.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#resultados_mod').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#resultados_mod").html(datos);
      $('#mod_sucursal').attr("disabled", false);
      load(1);
      }
  });
     document.getElementById("registro_sucursal").reset();
  event.preventDefault();
})